<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <title>Submit score</title>
</head>
<body>

<div layout:fragment="content">
    <section class="my-5">
        <div class="container">
            <div class="row">
                <div class="card card-profile ml-auto mr-auto" style="width: 20rem;">
                    <img class="card-img-top" th:src="${photosubmission.getPhoto().getImage_link()}" src="https://images.unsplash.com/photo-1517303650219-83c8b1788c4c?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=bd4c162d27ea317ff8c67255e955e3c8&auto=format&fit=crop&w=2691&q=80" alt="Card image cap">
                </div>
                <form th:action="@{/submit_score}" method="post" enctype="multipart/form-data" name="form1">
                    <div class="row">
                        <div class="card-body col-md-12">
                            <div class="form-group">
                                <div class="form-check">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="checkbox" value="No" name="fits_category"
                                        id="fits-category">
                                        Photo does not fit category
                                        <span class="form-check-sign">
            <span class="check"></span>
        </span>
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="card-body col-md-12">
                            <div class="form-group">
                                <label>Sort</label>
                                <select class="form-control selectpicker"
                                        data-style="btn btn-link" name="photo-rating" id="photo_rating">
                                    <option value=0>0</option>
                                    <option value=1>1</option>
                                    <option value=2>2</option>
                                    <option value=3>3</option>
                                    <option value=4>4</option>
                                    <option value=5>5</option>
                                    <option value=6>6</option>
                                    <option value=7>7</option>
                                    <option value=8>8</option>
                                    <option value=9>9</option>
                                    <option value=10>10</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="card-body col-md-12">
                            <div class="form-group">
                                <label>Comment</label>
                                <textarea class="form-control" rows="3" name="comment"></textarea>
                                <small id="emailHelp" class="error"></small>
                            </div>
                        </div>
                    </div>
                    <input type="submit" value="Create" class="btn btn-info">
                </form>
            </div>
        </div>


    </section>
    <script>
        // var button = $('#fits-category')
        //
        // $checkBox.on('change',function(e){
        //     console.log("Test if executing")
        //     if ($(this).is(':checked')){
        //         console.log("Test if executing")
        //         // $select.removeAttr('disabled');
        //         document.querySelector(".dropdown-toggle").disabled=true;
        //     }else{
        //         document.querySelector(".dropdown-toggle").disabled=false;
        //     }
        // });

        const checkbox = document.querySelector("#fits-category")

        checkbox.addEventListener("change", function () {
            if(checkbox.checked) {
                document.querySelector(".dropdown-toggle").disabled=true
            } else{
                document.querySelector(".dropdown-toggle").disabled=false
            }
        })
    </script>
</div>

</body>
<script>
    // var button = $('#fits-category')
    //
    // $checkBox.on('change',function(e){
    //     console.log("Test if executing")
    //     if ($(this).is(':checked')){
    //         console.log("Test if executing")
    //         // $select.removeAttr('disabled');
    //         document.querySelector(".dropdown-toggle").disabled=true;
    //     }else{
    //         document.querySelector(".dropdown-toggle").disabled=false;
    //     }
    // });

    const checkbox = document.querySelector("#fits-category")

    checkbox.addEventListener("change", function () {
        if(checkbox.checked) {
            document.querySelector(".dropdown-toggle").disabled=true
        } else{
            document.querySelector(".dropdown-toggle").disabled=false
        }
    })
</script>
</html>